This October we will rollout a security upgrade across our technology platforms. As a result, some older non-secure operating systems will not be able to access the secure My Account pages.

This security upgrade is part of our compliance with worldwide information security standards. If you're using an older operating system and browser configuration, you won't be able to make payments or log into your account. The systems most likely affected by the security upgrade are:

  • Android 2.3.7
  • Android 4.0.4
  • Android 4.1.1
  • Android 4.2.2
  • Android 4.3
  • Internet Explorer 6 / Windows XP
  • Internet Explorer 7 / Windows Vista
  • Internet Explorer 8 / Windows XP
  • Internet Explorer 8 / Windows 7
  • Internet Explorer 8-10 / Windows Phone 8.0
  • Safari 5.1.9 / OS X 10.6.8
  • Safari 6.0.4 / OS X 10.8.4

Any device using these operating systems and/or browsers will likely see a blank white page instead. You'll need to update your operating system and/or browser before you can access your account. If you are unable to make a payment online, you can still contact us for immediate assistance.